| Home | Libraries | People | FAQ | More

## Function template iota

boost::algorithm::iota — Generates an increasing sequence of values, and stores them in [first, last)

## Synopsis

    // In header: <boost/algorithm/cxx11/iota.hpp>

    template<typename ForwardIterator, typename T>
      void iota(ForwardIterator first, ForwardIterator last, T value);

## Description

| Note
This function is part of the C++2011 standard library. We will use the standard one if it is available, otherwise we have our own implementation.

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`value` | The initial value of the sequence to be generated